---
lang: en
title: 'API docs: security.userprofile'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/security
permalink: /doc/en/lb4/apidocs.security.userprofile.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/security](./security.md) &gt; [UserProfile](./security.userprofile.md)

## UserProfile interface

The minimum set of attributes that describe a user.

**Signature:**

```typescript
export interface UserProfile extends Principal 
```
**Extends:** [Principal](./security.principal.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[email?](./security.userprofile.email.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[name?](./security.userprofile.name.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
</tbody></table>


